> ## Documentation Index
> Fetch the complete documentation index at: https://clickhouse.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# ClickStack: List Connections

> **This endpoint is in beta.** API contract is stable, and no breaking changes are expected in the future. <br /><br /> ClickStack: Retrieves a list of all ClickHouse connections for the authenticated team. Passwords are never returned.

<span data-endpoint-badge="Beta"><Badge color="blue">Beta</Badge></span>

**This endpoint is in beta.** API contract is stable, and no breaking changes are expected in the future. <br /><br /> ClickStack: Retrieves a list of all ClickHouse connections for the authenticated team. Passwords are never returned.


## OpenAPI

````yaml _specs/cloud-openapi.json GET /v1/organizations/{organizationId}/services/{serviceId}/clickstack/connections
openapi: 3.1.2
info:
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
  contact:
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-1047418
    email: support@clickhouse.com
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Role Management
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
  - name: ClickStack
  - name: Postgres
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/clickstack/connections:
    get:
      tags:
        - ClickStack
      summary: 'ClickStack: List Connections'
      description: >-
        **This endpoint is in beta.** API contract is stable, and no breaking
        changes are expected in the future. <br /><br /> ClickStack: Retrieves a
        list of all ClickHouse connections for the authenticated team. Passwords
        are never returned.
      operationId: clickStackListConnections
      parameters:
        - in: path
          name: organizationId
          description: ID of the organization that owns the service.
          required: true
          schema:
            type: string
            format: uuid
        - in: path
          name: serviceId
          description: ID of the ClickStack service.
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    description: HTTP status code.
                    example: 200
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
                  result:
                    type: array
                    items:
                      $ref: '#/components/schemas/ClickStackConnection'
        '400':
          description: >-
            The request cannot be processed due to a client error. Please verify
            your request parameters and try again.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    description: HTTP status code.
                    example: 400
                  error:
                    type: string
                    description: Detailed error description.
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
        '500':
          description: >-
            An internal server error has occurred. If this issue persists,
            please contact ClickHouse Cloud support for assistance.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    description: HTTP status code.
                    example: 500
                  error:
                    type: string
                    description: Detailed error description.
                  requestId:
                    type: string
                    description: Unique id assigned to every request. UUIDv4
                    format: uuid
components:
  schemas:
    ClickStackConnection:
      properties:
        id:
          description: Unique connection ID.
          type: string
          example: 507f1f77bcf86cd799439012
        name:
          description: Display name for the connection.
          type: string
          example: Production ClickHouse
        host:
          description: ClickHouse HTTP endpoint URL.
          type: string
          example: https://clickhouse.example.com:8443
        username:
          description: ClickHouse username.
          type: string
          example: default
        hyperdxSettingPrefix:
          description: >-
            Optional prefix for HyperDX-specific ClickHouse settings. Must only
            contain alphanumeric characters and underscores.
          type:
            - string
            - 'null'
          example: hyperdx_
        isPrometheusEndpoint:
          description: >-
            Optional. When true, `host` is treated as a Prometheus-compatible
            API endpoint (e.g. Prometheus or Thanos) and PromQL queries are
            proxied to it. When false or omitted, `host` is a ClickHouse HTTP
            endpoint.
          type: boolean
          example: false
        createdAt:
          description: Creation timestamp
          type: string
          format: date-time
          example: '2025-01-01T00:00:00.000Z'
        updatedAt:
          description: Last update timestamp
          type: string
          format: date-time
          example: '2025-06-15T10:30:00.000Z'
      required:
        - id
        - name
        - host
        - username
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        Use key ID and key secret obtained in ClickHouse Cloud console:
        https://clickhouse.com/docs/cloud/manage/openapi

````